﻿// MLC_OnCloseButton.js

/*:
 * @plugindesc 菜单画面创建关闭按钮v1.0.1.06.17.2017
 * 注：本插件仅供学习交流。
 * @author 在野月光族
 * @param === 自启动开发者工具 ===
 * @desc                
 * @default === 是否激活 ===
 * @param  openTools                                        
 * @desc   是否随游戏启动开发者工具：1、开启， 0、关闭 。
 * @default 0
 * @param 　
 * @param === 图片参数 ===
 * @desc                
 * @default === 按钮图的名称 ===
 * @param buttonImg                                        
 * @desc   按钮图片的名称(仅名称)。例如图片为 abc.png，则输入 abc 。图片规格：2 × 1 ， 默认大小：80 × 40 。
 * @default ???
 * 
 * @help
 *	免责声明：本插件仅供学习交流，请勿用于商业用途。
 * 若因使用者不合法使用而导致的法律责任与后果，
 * 由使用者自行承担，与本插件作者及其开发团队无关。
 *	---- 2017年6月17日。
 *
 * 本插件不提供插件指令。
 * 所有用SceneManager.push指令压入的场景都会受牵连。
 * 跳转新建场景时如非必要，请改用SceneManager.goto，
 * 或修改SceneManager.excludeScene内的参数。
 * 插件内置了自绘的按钮图片。
 * 支持接入外部按钮图片(需修改图片名参数 buttonImg) 。
 * 外部图片需放到 \img\system 目录下，图片格式为 PNG。
 * 图片样式： 2 × 1 ，分别为按钮的正常图片和点燃图片。
 * 默认尺寸： 80 × 40 (单个元件的大小：40 × 40)，
 * 外部图片尺寸稍大或稍小均可。
 */

var MLC = MLC || {};
MLC.ps = PluginManager.parameters('MLC_OnCloseButton');
MLC.btnImg = MLC.ps.buttonImg || null;
MLC.openTools = Number(MLC.ps.openTools) || 0;
MLC.isImg = false;
MLC.wh = 40;	// 单元图片的宽高
SceneManager._tempScene = null;

if(MLC.openTools){
require('nw.gui').Window.get().showDevTools();
};

MLC.sbl = Scene_Boot.loadSystemImages;
Scene_Boot.loadSystemImages = function() {
MLC.sbl.call(this);
if(MLC.btnImg && MLC.btnImg !== '???') {
MLC.isImg = true;
ImageManager.reserveSystem(MLC.btnImg);
};
};

// 排除的场景
SceneManager.excludeScene = function(){
var nextScene = this._nextScene.constructor;
switch(true){
case  nextScene == Scene_Battle :	// 战斗场景
return false;
break;
// case nextScene == ??? :
// return false;
// break;
default : 
return true;
break;
};
};

MLC.smp = SceneManager.push;
SceneManager.push = function(sceneClass) {
MLC.smp.call(this, sceneClass);
if(this.excludeScene() ){
this._tempScene = this._nextScene;
}
};

MLC.smo = SceneManager.pop;
SceneManager.pop = function() {
MLC.smo.call(this);
if(this.excludeScene() ){
this._tempScene = this._stack.length > 0? this._nextScene : null;
}
};

MLC.smu = SceneManager.update;
SceneManager.update = function(){
MLC.smu.call(this);
if(this._tempScene){
if(this._scene === this._tempScene){
this._tempScene = null;	// 重置临时场景参数
var btnImg;
if(MLC.isImg){	// 载入外部图片 - \img\system 文件夹
btnImg = ImageManager.loadSystem(MLC.btnImg);
};
var spt = this._scene.setCloseButton(btnImg);	// 生成按钮
spt.x = Graphics.boxWidth - spt.bitmap.width / 2 - 10;	// 设置按钮水平坐标
spt.y = 10;	// 设置按钮垂直坐标
this._scene.addChild(spt);	// 加载按钮
};
};
};

// ------- 设置按钮
Scene_Base.prototype.setCloseButton = function(buttonImg){
var btn = new Sprite_Button();
var bmp = !buttonImg? this.createCloseButton() : buttonImg;
var w = bmp.width / 2;
btn.bitmap = bmp;
btn.buttonName = '关闭按钮';
btn.setColdFrame(0, 0, w, w);
btn.setHotFrame(w, 0, w, w);
btn.setClickHandler(function (){	// 点击
SceneManager.pop();
});
return btn;
};

// ------- 创建按钮图片
Scene_Base.prototype.createCloseButton = function(){
var s = MLC.wh;
var CBIMG = [
new Bitmap(s * 2, s), 
this.drawCloseButton(['blue', 'white']), 
this.drawCloseButton()
];
CBIMG[0].blt(CBIMG[1], 0, 0, s, s, 0, 0);
CBIMG[0].blt(CBIMG[2], 0, 0, s, s, s, 0);
return CBIMG[0];
};

// ------- 画按钮元件(color : 颜色数组)
Scene_Base.prototype.drawCloseButton = function(color){
var cc = {};
cc.s = 12;	// 线条(交叉)的顶点坐标(距离)
cc.w = MLC.wh;	// 按钮直径(宽度与高度)
cc.p = cc.w / 2;
cc.r  = [cc.p, cc.p - 2];
cc.clr = color || ['gray', 'snow'];
var bmp = new Bitmap(cc.w, cc.w);
var ctx = bmp.context;
bmp.drawCircle(cc.p, cc.p, cc.r[0], cc.clr[0]);	// 画同心圆 - 外
bmp.drawCircle(cc.p, cc.p, cc.r[1], cc.clr[1]);	// 画同心圆 - 内
ctx.lineWidth = 5;	// 画笔粗细
ctx.moveTo(cc.s, cc.s);	// 叉叉的左线条顶点定位 
ctx.lineTo(cc.w - cc.s, cc.w - cc.s);	// 叉叉的左线条连接到右下角位置
ctx.moveTo(cc.w - cc.s, cc.s);	// 叉叉的右线条顶点定位 
ctx.lineTo(cc.s, cc.w - cc.s);	// 叉叉的右线条连接到左下角位置
ctx.strokeStyle = cc.clr[0];	// 线条颜色
ctx.stroke();	// 绘制叉叉
return bmp;	// 返回图片的控制权
};
;
CBIMG[0].blt(CBIMG[2], 0, 0, s, s, s, 0);
return CBIMG[0];
};

// ------- 画按钮元件(color : 颜色数组)
Scene_Base.prototype.drawCloseButton = function(color){
var cc = {};
cc.s = 12;	// 线条(交叉)的顶点坐标(距离)
cc.w = MLC.wh;	// 按钮直径(宽度与高度)
cc.p = cc.w / 2;
cc.r  = [cc.p, cc.p - 2];
cc.clr = color || ['gray', 'snow'];
var bmp = new Bitmap(cc.w, cc.w);
var ctx = bmp.context;
bmp.drawCircle(cc.p, cc.p, cc.r[0], cc.clr[0]);	// 画同心圆 - 外
bmp.drawCircle(cc.p, cc.p, cc.r[1], cc.clr[1]);	// 画同心圆 - 内
ctx.lineWidth = 5;	// 画笔粗细
ctx.moveTo(cc.s, cc.s);	// 叉叉的左线条顶点定位 
ctx.lineTo(cc.w - cc.s, cc.w - cc.s);	// 叉叉的左线条连接到右下角位置
ctx.moveTo(cc.w - cc.s, cc.s);	// 叉叉的右线条顶点定位 
ctx.lineTo(cc.s, cc.w - cc.s);	// 叉叉的右线条连接到左下角位置
ctx.strokeStyle = cc.clr[0];	// 线条颜色
ctx.stroke();	// 绘制叉叉
return bmp;	// 返回图片的控制